Bug 19410 - Inconsistent uppercase CROND in syslog
Summary: Inconsistent uppercase CROND in syslog
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-20 01:42 UTC by geir37
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 21:59:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description geir37 2000-10-20 01:42:52 UTC
Why do crond identify itself with an uppercase "CROND" in the syslog. All
the other services use lower case. Could it be changed to lowercase to get
some consistent naming of services in the log files.

Could:

Oct 15 08:01:00 myhost CROND[9563]: (root) CMD (run-parts /etc/cron.hourly)

Be changed to:

Oct 15 08:01:00 myhost crond[9563]: (root) CMD (run-parts /etc/cron.hourly)

Also makes the log files a litte easier to read.

Comment 1 Daniel Roesen 2000-10-20 10:58:47 UTC
Request seconded.

Comment 2 Bill Nottingham 2001-01-19 17:30:19 UTC
The name changing is actually so the child process shows up different
in ps from the master, which is not that bad of an idea. Fixing the
syslog name is easy enough, though. Will be fixed in 3.0.1-57.


Note You need to log in before you can comment on or make changes to this bug.